org.apache.hadoop.mapreduce.v2.security.client

## Class ClientHSSecurityInfo

- java.lang.Object
- - org.apache.hadoop.security.SecurityInfo
  - - org.apache.hadoop.mapreduce.v2.security.client.ClientHSSecurityInfo

-     public class ClientHSSecurityInfo
      extends org.apache.hadoop.security.SecurityInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientHSSecurityInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.security.KerberosInfo` | `getKerberosInfo(Class<?> protocol, org.apache.hadoop.conf.Configuration conf)`
    `org.apache.hadoop.security.token.TokenInfo` | `getTokenInfo(Class<?> protocol, org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHSSecurityInfo

          public ClientHSSecurityInfo()

  - ### Method Detail

    - #### getKerberosInfo

          public org.apache.hadoop.security.KerberosInfo getKerberosInfo(Class<?> protocol,
                                                                         org.apache.hadoop.conf.Configuration conf)

      Specified by:
        `getKerberosInfo` in class `org.apache.hadoop.security.SecurityInfo`

    - #### getTokenInfo

          public org.apache.hadoop.security.token.TokenInfo getTokenInfo(Class<?> protocol,
                                                                         org.apache.hadoop.conf.Configuration conf)

      Specified by:
        `getTokenInfo` in class `org.apache.hadoop.security.SecurityInfo`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.